/*
The Next Generation Beacons software include file - VCOPLL.h

Copyright
  The OZ7IGY Beacon Next Generation Beacon platform implementation
    VCOPLL.c/h
    Poul-Erik Hansen, OZ1CKG and Bo Hansen, OZ2M

This file is part of Next Generation Beacons - VCOPLL v. 2

VCOPLL is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

VCOPLL is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details:
            www.gnu.org/licenses
*/

#define SET(x,y) (x |=(1<<y))           //-Bit set/clear macros
#define CLR(x,y) (x &= (~(1<<y)))       // |
#define CHK(x,y) (x & (1<<y))           // |
#define TOG(x,y) (x^=(1<<y))            //-+

#define EEPROM_Adr_FuncLatch            0    // 3 bytes
#define EEPROM_Adr_NCounter             3    // 3 bytes
#define EEPROM_Adr_RCounter             6    // 3 bytes

#define EEPROM_Adr_BootDelay            9    // 1 byte
#define EEPROM_Adr_SPIPulseDelay       10    // 1 byte
#define EEPROM_Adr_VCOSetupDelay       11    // 1 byte
#define EEPROM_Adr_MainLoopDelay       12    // 1 byte
#define EEPROM_Adr_PromptLockStatus    13    // 1 byte

#define EEPROM_Adr_HighestUsed         13    // The highest used EEPROM address

#define pllPort PORTC
#define pllLOCK 0                               // Input
#define pllLE   1                               // All others are out
#define pllDATA 2
#define pllCLK  3
#define pllCE   4

uint8_t functionLatch0, functionLatch1, functionLatch2;
uint8_t nCounter0, nCounter1, nCounter2;
uint8_t rCounter0, rCounter1, rCounter2;

uint8_t functionLatch[3];
uint8_t nCounter[3];
uint8_t rCounter[3];

uint8_t bootDelay;
uint8_t spiPulseDelay;
uint8_t vcoSetupDelay;
uint8_t mainLoopDelay;

uint8_t promptLockStatus;

// ----------------- EOF -------------------------------------------------------------------